Bug 1023360 - mice changes to PS/2 from usb tablet after migration with -M 6.0.0 or 6.1.0 (vnc)
mice changes to PS/2 from usb tablet after migration with -M 6.0.0 or 6.1.0 (...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
6.5
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Gerd Hoffmann
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-25 05:22 EDT by Shaolong Hu
Modified: 2014-04-16 07:20 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-16 07:20:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Shaolong Hu 2013-10-25 05:22:11 EDT
Description of problem:
--------------------------
On latest RHEL6.5 host, migrate guest with -M 6.0.0 or 6.1.0, after migration, info mice shows PS/2 instead of usb tablet, and on des host, mice suffers from dislocation problem. It works fine with -M 6.2.0, 6.3.0, 6.4.0 and 6.5.0, all RHEL6 Z stream has the same problem.

We find this in recent round of stable guest abi test, it seems we have this problem for a long time, probably a WONTFIX one, but i fail to locate the old bug.


Version-Release number of selected component (if applicable):
---------------------------------------------------------------
qemu-kvm-0.12.1.2-2.414.el6
connection: vnc
guest: win2012-64


How reproducible:
--------------------
100%


Steps to Reproduce:
--------------------
1. ping pong migration

CMD:

/usr/libexec/qemu-kvm -enable-kvm -M rhel6.1.0 -smp 4 -m 4G -name win2012 -uuid 3f2ea5cd-3d29-48ff-aab2-23df1b6ae213 -drive file=nfs/win2012-64-virtio.qcow2,cache=none,if=none,rerror=stop,werror=stop,id=drive-virtio-disk0,format=qcow2,aio=native -device virtio-blk-pci,drive=drive-virtio-disk0,id=device-virtio-disk0 -netdev tap,script=/etc/qemu-ifup,id=netdev0 -device virtio-net-pci,netdev=netdev0,id=device-net0,mac=aa:54:00:11:22:33 -boot order=cd -monitor stdio -usb -device usb-tablet,id=input0 -chardev socket,id=s1,path=/tmp/s1,server,nowait -device isa-serial,chardev=s1 -vnc :10 -monitor tcp::1234,server,nowait
Comment 2 Qunfang Zhang 2013-10-27 06:53:14 EDT
Maybe a similar issue with:
Bug 823846  - USB tablet mouse does not work well when migrating guest rhel6.0->rhel6.3 or rhel6.1->rhel6.3

According to Gerd, usb tablet migration in 6.0 and 6.1 is broken.
Comment 3 RHEL Product and Program Management 2013-11-01 04:26:37 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 4 Gerd Hoffmann 2014-04-16 07:20:42 EDT
> On latest RHEL6.5 host, migrate guest with -M 6.0.0 or 6.1.0, after
> migration, info mice shows PS/2 instead of usb tablet, and on des host, mice
> suffers from dislocation problem. It works fine with -M 6.2.0, 6.3.0, 6.4.0
> and 6.5.0, all RHEL6 Z stream has the same problem.
> 
> We find this in recent round of stable guest abi test, it seems we have this
> problem for a long time, probably a WONTFIX one, but i fail to locate the
> old bug.

WONTFIX indeed.  live migration support for usb devices was added in 6.2.0.
For bug compatibility reasons it must be turned off for 6.1.0 and 6.0.0
machine types.  So live migration with these machine types and usb devices
has a few known issues which can't be fixed without breaking live migration
to RHEL-6.{0,1} qemu-kvm versions.

Note You need to log in before you can comment on or make changes to this bug.